Subject: bug#2388: 23.0.90; wrong-type-argument in vc-dir

From: Nick Roberts <[email-masked]>
Date: Tue, 24 Feb 2009 19:18:03 +1300

robert marshall writes:
 > >   > If I run vc-dir in a svn controlled directory called 'Test Networks'
 > >   > (with the internal space but not the quotes!), I get a wrong-type-argument
 > >   > error, with the following traceback - 
 > >   > 
 > >   > Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
 > >   >   ewoc-data(nil)
 > >   >   vc-dir-node-directory(nil)
 > >   > 
 > >   > when I don't have debug-on-error set to t the *vc-dir* process never
 > >   > completes.
 > >
 > > I can't reproduce this.
 > > Can you please post step by step recipe of how you get this, starting
 > > with emacs -Q. 
 > > The output of 
 > > svn -u status
 > > in that directory might be helpful too.
 > >   
 > I can't reproduce this either now :-(

I have seen this sometimes when files have needed merging/updating.  I don't
think it happened earlier because with SVN emacs didn't consult the remote
repository by default:

2009-01-30  Nick Roberts  <[email-masked]>

	* vc-svn.el (vc-svn-dir-status): Correct logic for remote
	connection.  (Bug#2093)

-- 
Nick                                           http://www.inet.net.nz/~nickrob